SyncReaderWriter::readlock
SyncReaderWriter::writelock
SyncReaderWriter
PHP Manual

# SyncReaderWriter::readunlock

(PECL sync >= 1.0.0)

SyncReaderWriter::readunlock — Releases a read lock

### Description

public bool SyncReaderWriter::readunlock ( void )

Releases a read lock on a SyncReaderWriter object.

### Parameters

This function has no parameters.

### Return Values

A boolean of TRUE if the unlock operation was successful, FALSE otherwise.

### Examples

Example #1 SyncReaderWriter::readunlock() example

`<?php
$readwrite = new SyncReaderWriter("FileCacheLock");
$readwrite->readlock();
/* ... */
$readwrite->readunlock();
?>`

### See Also

- SyncReaderWriter::readlock() - Waits for a read lock

SyncReaderWriter::readlock
SyncReaderWriter::writelock
SyncReaderWriter
PHP Manual